# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bencher/Backend.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Pod/Coverage/TrustPod.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(Tree/Create/Size.pm) perl(Tree/Object/Array.pm) perl(Tree/Object/Array/Glob.pm) perl(Tree/Object/Hash.pm) perl(Tree/Object/Hash/ChildrenAsList.pm) perl(Tree/Object/InsideOut.pm) perl(Tree/ObjectXS/Array.pm) perl(Tree/ObjectXS/Hash.pm) perl(strict.pm) perl(warnings.pm) perl(Class/Accessor/Array.pm) perl(Role/TinyCommons/Tree/NodeMethods.pm) perl(Class/Accessor/Array/Glob.pm)
# END SourceDeps(oneline)
%define module_name Bencher-Scenarios-TreeObject
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Scenarios to benchmark Tree-Object & Tree-ObjectXS
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Bencher-Scenarios-TreeObject

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution contains the following the Bencher manpage scenario modules:

=over

=item * the Bencher::Scenario::TreeObject::Build manpage

=item * the Bencher::Scenario::TreeObject::Startup manpage

=item * the Bencher::Scenario::TreeObject::descendants manpage

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_privlib/B*

%changelog
* Tue Nov 20 2018 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

